﻿using Plane.Windows.IniHelper;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Plane.FormationCreator.Util
{
    public static class VersionControl
    {
        public static int Version = 0;
        /// <summary>
        /// 是否是完整版本 仅在Version = 255时为完整版本
        /// </summary>
        public static bool IsFullVersion = false;

        /// <summary>
        /// 默认的飞机上限
        /// </summary>
        public static int CopterUpperLimit = 50;

        public static string  Username = "";
        public static string Password = "";
        public static bool IssavePassword = false;

        public static void SetUserLever(int vuserlever)
        {
            if (vuserlever==0)
                //管理员
                IsFullVersion = true;
            else
                IsFullVersion = false;
        }


        public static void GetSettingFromIni()
        {
            IniFiles iniFiles = new IniFiles();

            int intTemp;
            bool boolTemp;
            string readvalue;
            //完整版本和更多飞机数量通过网络授权或者超级用户得到
            
            /*
            readvalue = iniFiles.IniReadvalue("Version", "Version");
            if (readvalue != "" && int.TryParse(readvalue, out intTemp))
                Version = int.Parse(readvalue);
            IsFullVersion = Version == 255;

            readvalue = iniFiles.IniReadvalue("Version", "CopterUpperLimit");
            if (readvalue != "" && int.TryParse(readvalue, out intTemp))
                CopterUpperLimit = int.Parse(readvalue);
            */

            readvalue = iniFiles.IniReadvalue("Login", "Username");
            if (readvalue != "")
                Username = readvalue;

            readvalue = iniFiles.IniReadvalue("Login", "Password");
            if (readvalue != "")
                Password = readvalue;


            readvalue = iniFiles.IniReadvalue("Login", "issavePassword");
            if (readvalue != "" && bool.TryParse(readvalue, out boolTemp))
                IssavePassword = bool.Parse(readvalue);

        }

        public static void SaveLogininfoToIni(string username,string password,bool issavepassword)
        {
            Username = username;
            Password = password;
            IssavePassword = issavepassword;
            IniFiles iniFiles = new IniFiles();
            iniFiles.IniWritevalue("Login", "Username", username);
            if (issavepassword)
                iniFiles.IniWritevalue("Login", "Password", password);
            else
                iniFiles.IniWritevalue("Login", "Password", "");

            iniFiles.IniWritevalue("Login", "issavepassword", issavepassword.ToString());



        }



    }
}
